#ifndef _CAN_H_
#define _CAN_H_

#include <Arduino.h>
#include <mcp_can.h>
#include <SPI.h>
#include "common.h"
#include "globals.h"
#include "dtc.h"

struct can_frame
{
    unsigned long can_id;
    uint8_t can_dlc;
    uint8_t data[8] __attribute__((aligned(8)));
};

void Init_CAN();
uint32_t Process_CAN_WheelSpeed();

#endif